QGIS Application - Bug report #3659
Size scale field does not work with symbol levels
2011-03-21 11:49 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 13718
Description

When both size scale field and symbol layers are used in a layer style, nothing is drawn.

History

#1 - 2011-06-20 12:42 AM - Anita Graser

- Assignee deleted (nobody -)

- Priority changed from Low to Normal

- Target version changed from Version 1.7.0 to Version 1.7.1

#2 - 2011-07-14 08:58 AM - Anita Graser
- Priority changed from Normal to High
- Must fix changed from No to Yes

#3 - 2011-11-12 05:52 AM - Tim Sutton
- Target version changed from Version 1.7.1 to Version 1.7.2

#4 - 2011-11-30 12:40 PM - Giovanni Manghi
- Target version changed from Version 1.7.2 to Version 1.7.3

#5 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#6 - 2011-12-24 06:50 AM - Giovanni Manghi
- Crashes QGIS or corrupts data set to No

- Status changed from Open to Feedback

- Pull Request or Patch supplied set to No

- Affected QGIS version set to master

Hi Anita, seems to works fine here on both Linux and Windows, 1.7.3 and master. Can you please give it a try again?

#7 - 2011-12-24 07:26 AM - Anita Graser

The problem still exists for me in both 1.7.3 and nightly on Win7 (OSGeo4W version).

Reproduced using the Shapefile available here: http://data.wien.gv.at/katalog/baumkataster.htmi

2024-03-13

1/3



http://data.wien.gv.at/katalog/baumkataster.html

#8 - 2011-12-24 07:34 AM - Giovanni Manghi

Anita Graser wrote:

The problem still exists for me in both 1.7.3 and nightly on Win7 (OSGeo4W version).

Reproduced using the Shapefile available here: http.//data.wien.gv.at/katalog/baumkataster.html

I'm not able to replicate the issue myself, can you attach the style or describe the steps? thanks.

#9 - 2011-12-24 07:45 AM - Anita Graser

- Subject changed from Size scale field does not work with symbol layers to Size scale field does not work with symbol levels

| just loaded the shp, left the default point style, checked size scale field "KRONENDURC" and then enabled symbol levels.

#10 - 2011-12-24 08:01 AM - Giovanni Manghi

right, sorry | was mislead by "symbol layers" in the description. As a matter of fact if enabling symbol levels the issue is well confirmed.

#11 - 2011-12-27 11:54 AM - Anita Graser

Should the status of this issue stay on "Feedback"? There is no way to change it to anything but "Closed".

#12 - 2011-12-27 11:59 AM - Giovanni Manghi
- Status changed from Feedback to Open

#13 - 2012-04-16 05:40 AM - Paolo Cavallini
- Status changed from Open to Feedback

- Target version changed from Version 1.7.4 to Version 1.8.0
#14 - 2012-04-16 06:06 AM - Giovanni Manghi
- Operating System deleted (All)

- Status changed from Feedback to Open
- Status info deleted (0)

Seems confirmed, so I'll change from feedback to new.

#15 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#16 - 2012-12-30 09:51 AM - Giovanni Manghi
- Priority changed from High to Normal

#17 - 2014-01-30 11:43 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority
#18 - 2014-03-25 09:22 AM - Anita Graser

Symbol Levels work with data-defined size but not with the legacy "size scale field" functionality.

#19 - 2015-05-22 12:56 PM - Nyall Dawson
- Status changed from Open to Feedback

Anita - is this resolved using vmora's work in latest master?

#20 - 2015-05-22 11:58 PM - Anita Graser

Tried to check but these changes are not in OSGeo4W nightly yet. Will check again tomorrow.
#21 - 2015-05-24 04:35 AM - Anita Graser
- Target version changed from Future Release - High Priority to Version 2.10

- Status changed from Feedback to Closed
- Resolution set to fixed/implemented

Seems fixed now: Size scale field has been removed from the Advanced button and size scaling can now be achieved using the data-defined override

which works well with symbol levels.
